This is the base class for all generated API classes.

### Hierarchy

- BaseAPI
  - AccountsApi
  - BNSApi
  - BlocksApi
  - BurnchainApi
  - FaucetsApi
  - FeeRateApi
  - FeesApi
  - InfoApi
  - MicroblocksApi
  - RosettaApi
  - SearchApi
  - SmartContractsApi
  - TokensApi
  - TransactionsApi

## Index

### Constructors

- constructor

### Properties

- configuration
- middleware

### Methods

- clone
- createFetchParams
- fetchApi
- request
- withMiddleware
- withPostMiddleware
- withPreMiddleware

## Constructors

### constructor

- new BaseAPI(configuration?: Configuration ): BaseAPI

- - Defined in src/generated/runtime.ts:25

  #### Parameters

  - ##### configuration: Configuration = ...

  #### Returns BaseAPI

## Properties

### Protected configuration

configuration: Configuration = ...

### Private middleware

middleware: Middleware []

- Defined in src/generated/runtime.ts:25

## Methods

### Private clone

- clone<T>(): T

- - Defined in src/generated/runtime.ts:107

  Create a shallow clone of `this` by constructing a new instance and then shallow cloning data members.

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Returns T

### Private createFetchParams

- createFetchParams(context: RequestOpts, initOverrides?: RequestInit): { init: { body: any; cache?: RequestCache; credentials: RequestCredentials; headers: HTTPHeaders | HeadersInit; integrity?: string; keepalive?: boolean; method: string; mode?: RequestMode; redirect?: RequestRedirect; referrer?: string; referrerPolicy?: ReferrerPolicy; signal?: AbortSignal; window?: any }; url: string }

- - Defined in src/generated/runtime.ts:56

  #### Parameters

  - ##### context: RequestOpts

  - ##### Optional initOverrides: RequestInit

  #### Returns { init: { body: any; cache?: RequestCache; credentials: RequestCredentials; headers: HTTPHeaders | HeadersInit; integrity?: string; keepalive?: boolean; method: string; mode?: RequestMode; redirect?: RequestRedirect; referrer?: string; referrerPolicy?: ReferrerPolicy; signal?: AbortSignal; window?: any }; url: string }

  - ##### init: { body: any; cache?: RequestCache; credentials: RequestCredentials; headers: HTTPHeaders | HeadersInit; integrity?: string; keepalive?: boolean; method: string; mode?: RequestMode; redirect?: RequestRedirect; referrer?: string; referrerPolicy?: ReferrerPolicy; signal?: AbortSignal; window?: any }

    - ##### body: any

      A BodyInit object or null to set request's body.

    - ##### Optional cache?: RequestCache

      A string indicating how the request will interact with the browser's cache to set request's cache.

    - ##### credentials: RequestCredentials

      A string indicating whether credentials will be sent with the request always, never, or only when sent to a same-origin URL. Sets request's credentials.

    - ##### headers: HTTPHeaders | HeadersInit

      A Headers object, an object literal, or an array of two-item arrays to set request's headers.

    - ##### Optional integrity?: string

      A cryptographic hash of the resource to be fetched by request. Sets request's integrity.

    - ##### Optional keepalive?: boolean

      A boolean to set request's keepalive.

    - ##### method: string

      A string to set request's method.

    - ##### Optional mode?: RequestMode

      A string to indicate whether the request will use CORS, or will be restricted to same-origin URLs. Sets request's mode.

    - ##### Optional redirect?: RequestRedirect

      A string indicating whether request follows redirects, results in an error upon encountering a redirect, or returns the redirect (in an opaque fashion). Sets request's redirect.

    - ##### Optional referrer?: string

      A string whose value is a same-origin URL, "about:client", or the empty string, to set request's referrer.

    - ##### Optional referrerPolicy?: ReferrerPolicy

      A referrer policy to set request's referrerPolicy.

    - ##### Optional signal?: AbortSignal

      An AbortSignal to set request's signal.

    - ##### Optional window?: any

      Can only be null. Used to disassociate request from any Window.

  - ##### url: string

### Private fetchApi

- fetchApi(url: string, init: RequestInit): Promise<Response>

- - Defined in src/generated/runtime.ts:79

  #### Parameters

  - ##### url: string

  - ##### init: RequestInit

  #### Returns Promise<Response>

### Protected request

- request(context: RequestOpts, initOverrides?: RequestInit): Promise<Response>

- - Defined in src/generated/runtime.ts:47

  #### Parameters

  - ##### context: RequestOpts

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<Response>

### withMiddleware

- withMiddleware<T>(...middlewares: Middleware []): T

- - Defined in src/generated/runtime.ts:31

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...middlewares: Middleware []

  #### Returns T

### withPostMiddleware

- withPostMiddleware<T>(...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]): T

- - Defined in src/generated/runtime.ts:42

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]

  #### Returns T

### withPreMiddleware

- withPreMiddleware<T>(...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]): T

- - Defined in src/generated/runtime.ts:37

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]

  #### Returns T

Generated using TypeDoc